"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fast_deep_equal_1 = __importDefault(require("fast-deep-equal"));
const impl_1 = require("./impl");
const expected_json_1 = __importDefault(require("./expected.json"));
const constant_1 = require("./constant");
var GooglePhotos;
(function (GooglePhotos) {
    let Album;
    (function (Album) {
        async function fetchImageUrls(albumSharedurl, signal) {
            const html = await impl_1.getSharedAlbumHtml(albumSharedurl, signal);
            const ph1 = impl_1.parsePhase1(html);
            if (null === ph1) {
                return null;
            }
            const ph2 = impl_1.parsePhase2(ph1);
            if (null === ph2) {
                return null;
            }
            return impl_1.parsePhase3(ph2);
        }
        Album.fetchImageUrls = fetchImageUrls;
        function extractAppended(before, after) {
            return after.filter(a => typeof before.find(v => fast_deep_equal_1.default(v, a)) === 'undefined');
        }
        Album.extractAppended = extractAppended;
        async function validityVerification() {
            const re = await GooglePhotos.Album.fetchImageUrls(constant_1.GooglePhotosSharedAlbumURL);
            if (null === re) {
                return false;
            }
            return fast_deep_equal_1.default(re, expected_json_1.default);
        }
        Album.validityVerification = validityVerification;
    })(Album = GooglePhotos.Album || (GooglePhotos.Album = {}));
})(GooglePhotos = exports.GooglePhotos || (exports.GooglePhotos = {}));
//# sourceMappingURL=index.js.map